Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class JsObject

    java.lang.Object
      com.gwtext.client.core.JsObject

Direct Known Subclasses:
  AbstractSelectionModel, Axis, BarSeries, BaseConfig, BaseElement, BoundingBox, Box, CartesianSeries, ClickRepeater, ColumnModel, ColumnSeries, ComboBoxCallback, ComponentPlugin, Connection, CSSRule, DataProxy, DefaultSelectionModel, DelayedTask, com.gwtext.client.dd.DragData, com.gwtext.client.dd.DragDrop, EventObject, FieldDef, Form, GridEditor, GridView, KeyMap, KeyNav, LatLonPoint, LineSeries, LoadMask, Margins, Marker, MessageBox.Button, MultiSelectionModel, NameValuePair, Node, PanelProxy, PieSeries, Polyline, PositioningConfig, Provider, Reader, Record, RecordDef, RegExp, RequestParam, Resizable, RowParams, Series, SeriesDef, SortState, Store, Template, Tree, TreeFilter, TreeLoader, TreeNodeUI, TreeSorter, UpdateManager, WindowGroup, XTemplate

    public abstract class JsObject

extends java.lang.Object

Base class for representing a native Javascript class. Note : For internal use only.

Field Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `jsObj`

Constructor Summary
`protected` | `JsObject()`
`` | `JsObject(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
`java.lang.String[]` | `getProperties()`
`protected boolean` | `isCreated()`
`void` | `setJsObj(com.google.gwt.core.client.JavaScriptObject jsObj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jsObj

    protected com.google.gwt.core.client.JavaScriptObject jsObj

Constructor Detail

### JsObject

    protected JsObject()

### JsObject

    public JsObject(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### isCreated

    protected boolean isCreated()

### getJsObj

    public com.google.gwt.core.client.JavaScriptObject getJsObj()

### setJsObj

    public void setJsObj(com.google.gwt.core.client.JavaScriptObject jsObj)

### getProperties

    public java.lang.String[] getProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD